Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1979622

Summary: Remove authselect-compat package
Product: [Fedora] Fedora Reporter: Ben Cotton <bcotton>
Component: Changes TrackingAssignee: Pavel Březina <pbrezina>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 35CC: bcotton, pbrezina
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-02 16:03:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1982154, 1982156, 1982157, 1982158, 1982159    
Bug Blocks: 1894270    

Description Ben Cotton 2021-07-06 14:57:30 UTC
This is a tracking bug for Change: Remove authselect-compat package
For more details, see: https://fedoraproject.org/wiki/Changes/RemoveAuthselectCompatPackage

Authselect replaced authconfig tool in Fedora 28. To enable some level of backwards compatibility, it ships the authconfig command as a wrapper around authselect calls in package "authselect-compat". Authselect is now well adopted and the shim compatibility layer should be removed by removing the authselect-compat package.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2021-08-10 12:32:58 UTC
Today is the "Code complete (testable)" deadline in the Fedora Linux 35 release schedule:
https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

If this Change is complete enough to be tested, please indicate this by setting this bug to the MODIFIED status. (If it is 100% complete, you can set it to ON_QA).

If you wish to defer this Change to Fedora Linux 36, please needinfo bcotton.

Comment 2 Pavel Březina 2021-08-11 08:05:13 UTC
All pull requests have been merged. livecd-tools and appliance-tools bugs are still opened, waiting for a new build. But this does not prevent to test this by common users.

Comment 3 Ben Cotton 2021-11-02 16:03:44 UTC
F35 was released today. Closing the trackers.